# DaprProtos.BulkPublishRequestEntry (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.BulkPublishRequestEntry

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprProtos.BulkPublishRequestEntry

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.BulkPublishRequestEntryOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

    public static final class DaprProtos.BulkPublishRequestEntry
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprProtos.BulkPublishRequestEntryOrBuilder

     BulkPublishRequestEntry is the message containing the event to be bulk published

Protobuf type `dapr.proto.runtime.v1.BulkPublishRequestEntry`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprProtos.BulkPublishRequestEntry.Builder` BulkPublishRequestEntry is the message containing the event to be bulk published

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CONTENT_TYPE_FIELD_NUMBER`
`static int` `ENTRY_ID_FIELD_NUMBER`
`static int` `EVENT_FIELD_NUMBER`
`static int` `METADATA_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The event level metadata passing to the pubsub component
`boolean` `equals​(Object obj)`
`String` `getContentType()` The content type for the event
`com.google.protobuf.ByteString` `getContentTypeBytes()` The content type for the event
`static DaprProtos.BulkPublishRequestEntry` `getDefaultInstance()`
`DaprProtos.BulkPublishRequestEntry` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`String` `getEntryId()` The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString` `getEntryIdBytes()` The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString` `getEvent()` The event which will be pulished to the topic
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The event level metadata passing to the pubsub component
`Map<String,​String>` `getMetadataMap()` The event level metadata passing to the pubsub component
`String` `getMetadataOrDefault​(String key, String defaultValue)` The event level metadata passing to the pubsub component
`String` `getMetadataOrThrow​(String key)` The event level metadata passing to the pubsub component
`com.google.protobuf.Parser<DaprProtos.BulkPublishRequestEntry>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`boolean` `isInitialized()`
`static DaprProtos.BulkPublishRequestEntry.Builder` `newBuilder()`
`static DaprProtos.BulkPublishRequestEntry.Builder` `newBuilder​(DaprProtos.BulkPublishRequestEntry prototype)`
`DaprProtos.BulkPublishRequestEntry.Builder` `newBuilderForType()`
`protected DaprProtos.BulkPublishRequestEntry.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.BulkPublishRequestEntry` `parseDelimitedFrom​(InputStream input)`
`static DaprProtos.BulkPublishRequestEntry` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(byte[] data)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(InputStream input)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(ByteBuffer data)`
`static DaprProtos.BulkPublishRequestEntry` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.BulkPublishRequestEntry>` `parser()`
`DaprProtos.BulkPublishRequestEntry.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### ENTRY_ID_FIELD_NUMBER

    public static final int ENTRY_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### EVENT_FIELD_NUMBER

    public static final int EVENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### CONTENT_TYPE_FIELD_NUMBER

    public static final int CONTENT_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getEntryId

    public String getEntryId()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Specified by:
  `getEntryId` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The entryId.

#### getEntryIdBytes

    public com.google.protobuf.ByteString getEntryIdBytes()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Specified by:
  `getEntryIdBytes` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The bytes for entryId.

#### getEvent

    public com.google.protobuf.ByteString getEvent()

     The event which will be pulished to the topic

`bytes event = 2;`

Specified by:
  `getEvent` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The event.

#### getContentType

    public String getContentType()

     The content type for the event

`string content_type = 3;`

Specified by:
  `getContentType` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The contentType.

#### getContentTypeBytes

    public com.google.protobuf.ByteString getContentTypeBytes()

     The content type for the event

`string content_type = 3;`

Specified by:
  `getContentTypeBytes` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`
Returns:
  The bytes for contentType.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.BulkPublishRequestEntryOrBuilder`

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `containsMetadata` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.BulkPublishRequestEntryOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(ByteBuffer data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(ByteBuffer data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(com.google.protobuf.ByteString data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(com.google.protobuf.ByteString data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(byte[] data)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(byte[] data,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(InputStream input)
                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(InputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.BulkPublishRequestEntry parseDelimitedFrom​(InputStream input)
                                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprProtos.BulkPublishRequestEntry parseDelimitedFrom​(InputStream input,
                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(com.google.protobuf.CodedInputStream input)
                                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprProtos.BulkPublishRequestEntry parseFrom​(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprProtos.BulkPublishRequestEntry.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprProtos.BulkPublishRequestEntry.Builder newBuilder()

#### newBuilder

    public static DaprProtos.BulkPublishRequestEntry.Builder newBuilder​(DaprProtos.BulkPublishRequestEntry prototype)

#### toBuilder

    public DaprProtos.BulkPublishRequestEntry.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprProtos.BulkPublishRequestEntry.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprProtos.BulkPublishRequestEntry getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprProtos.BulkPublishRequestEntry> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprProtos.BulkPublishRequestEntry> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprProtos.BulkPublishRequestEntry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`